Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

List resources for Role grants

Names and IDs of the organization’s resources that a Role grant can target. Requires the Permission to create or update Roles. Returns no secret.

GET/authorization/resources
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Query parameters
typestringrequired
Allowed:projectenvironmentclusterintegration
idsstring

Optional comma-separated UUIDs to validate (at most 100).

offsetinteger
min 0 · default: 0
Responses
200

Up to 100 identities; request the next offset until fewer than 100 records are returned.

recordsobject[]required
Show properties
Array of object
idstring<uuid>required
namestringrequired
parentNamestring
400

Invalid request

403

Permission denied

503

Authorization or resource catalog unavailable

Request
curl -X GET 'https://api.kapten.io/authorization/resources?type=project' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "parentName": "string"
    }
  ]
}

Was this page helpful?